Index: src/other/CMakeLists.txt
===================================================================
--- src/other/CMakeLists.txt	(revision 54114)
+++ src/other/CMakeLists.txt	(working copy)
@@ -38,10 +38,10 @@
 # are stored in files in the dlists directory.  Ignore that directory for
 # distcheck
 file(GLOB dlists "*.dist")
-FOREACH(ITEM ${dlists})
+foreach(ITEM ${dlists})
   get_filename_component(dlist ${ITEM} NAME)
-  CMAKEFILES(${dlist})
-ENDFOREACH(ITEM ${dlists})
+  cmakefiles(${dlist})
+endforeach(ITEM ${dlists})
 
 # For lower build levels, some of the third party components are not needed.
 # define some variables we can use for testing.
@@ -76,8 +76,8 @@
 toplevel BRLCAD_BUNDLED_LIBS option and testing first for a system version if
 BRLCAD_BUNDLED_LIBS is also AUTO.
 ")
-THIRD_PARTY(regex libregex "" regex_ALIASES regex_DESCRIPTION)
-BRLCAD_INCLUDE_FILE(regex.h HAVE_REGEX_H)
+third_party(regex libregex "" regex_ALIASES regex_DESCRIPTION)
+brlcad_include_file(regex.h HAVE_REGEX_H)
 
 # Same deal for zlib Library - common requirement, deal with it up front
 set(zlib_ALIASES ENABLE_ZLIB ENABLE_LIBZ)
@@ -87,8 +87,8 @@
 the toplevel BRLCAD_BUNDLED_LIBS option and testing first for a system version if
 BRLCAD_BUNDLED_LIBS is also AUTO.
 ")
-THIRD_PARTY(zlib libz "" zlib_ALIASES zlib_DESCRIPTION)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/libz/CTestTestfile.cmake)
+third_party(zlib libz "" zlib_ALIASES zlib_DESCRIPTION)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/libz/CTestTestfile.cmake)
 
 #-----------------------------------------------------------------------------
 
@@ -142,8 +142,8 @@
 if("${BRLCAD_BUNDLED_LIBS}" STREQUAL "BUNDLED" OR "${BRLCAD_LEMON}" MATCHES "BUNDLED")
   set(LEMON_TEMPLATE "${BRLCAD_SOURCE_DIR}/src/other/lemon/lempar.c")
 endif("${BRLCAD_BUNDLED_LIBS}" STREQUAL "BUNDLED" OR "${BRLCAD_LEMON}" MATCHES "BUNDLED")
-THIRD_PARTY_EXECUTABLE(lemon lemon "BRLCAD_LEVEL2" lemon_ALIASES lemon_DESCRIPTION)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/lemon/Makefile)
+third_party_executable(lemon lemon "BRLCAD_LEVEL2" lemon_ALIASES lemon_DESCRIPTION)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/lemon/Makefile)
 # Unless some parent logic has already defined the macro, we need to
 # load LEMON_Util to be able to define LEMON targets.
 if(NOT COMMAND LEMON_TARGET)
@@ -157,8 +157,8 @@
 toplevel BRLCAD_BUNDLED_LIBS option and testing first for a system version if
 BRLCAD_BUNDLED_LIBS is also AUTO.
 ")
-THIRD_PARTY_EXECUTABLE(re2c re2c "BRLCAD_LEVEL2" re2c_ALIASES re2c_DESCRIPTION)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/re2c/Makefile)
+third_party_executable(re2c re2c "BRLCAD_LEVEL2" re2c_ALIASES re2c_DESCRIPTION)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/re2c/Makefile)
 # Unless some parent logic has already defined the macro, we need to
 # load RE2C_Util to be able to define RE2C targets.
 if(NOT COMMAND RE2C_TARGET)
@@ -171,7 +171,7 @@
 
 # For all BRL-CAD projects, we will use the perplex template in
 # src/other/perplex
-SET(PERPLEX_TEMPLATE "${CMAKE_CURRENT_SOURCE_DIR}/perplex/perplex_template.c" CACHE STRING "Perplex template file" FORCE)
+set(PERPLEX_TEMPLATE "${CMAKE_CURRENT_SOURCE_DIR}/perplex/perplex_template.c" CACHE STRING "Perplex template file" FORCE)
 
 set(perplex_ALIASES ENABLE_PERPLEX)
 set(perplex_DESCRIPTION "
@@ -180,13 +180,13 @@
 toplevel BRLCAD_BUNDLED_LIBS option and testing first for a system version if
 BRLCAD_BUNDLED_LIBS is also AUTO.  perplex requires a working re2c.
 ")
-THIRD_PARTY_EXECUTABLE(perplex perplex "BRLCAD_LEVEL2" perplex_ALIASES perplex_DESCRIPTION NOSYS)
+third_party_executable(perplex perplex "BRLCAD_LEVEL2" perplex_ALIASES perplex_DESCRIPTION NOSYS)
 # Unless some parent logic has already defined the macro, we need to
 # load PERPLEX_Util to be able to define PERPLEX targets.
 if(NOT COMMAND PERPLEX_TARGET)
   include(${BRLCAD_SOURCE_DIR}/misc/CMake/PERPLEX_Util.cmake)
 endif(NOT COMMAND PERPLEX_TARGET)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/perplex/Makefile)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/perplex/Makefile)
 
 # libxml and libxslt tools for DocBook processing.  We build just
 # enough library support to get these two tools working.
@@ -198,7 +198,7 @@
 toplevel BRLCAD_BUNDLED_LIBS option and testing first for a system version if
 BRLCAD_BUNDLED_LIBS is also AUTO.  Depends on BRLCAD_EXTRADOCS.
 ")
-THIRD_PARTY_EXECUTABLE(xsltproc xmltools "BRLCAD_EXTRADOCS;BRLCAD_LEVEL3" xsltproc_ALIASES xsltproc_DESCRIPTION)
+third_party_executable(xsltproc xmltools "BRLCAD_EXTRADOCS;BRLCAD_LEVEL3" xsltproc_ALIASES xsltproc_DESCRIPTION)
 
 # Used only when validating XML for schema compliance
 # (BRLCAD_EXTRADOCS_VALIDATE must be on to use this, although it is compiled
@@ -211,29 +211,29 @@
 toplevel BRLCAD_BUNDLED_LIBS option and testing first for a system version if
 BRLCAD_BUNDLED_LIBS is also AUTO.
 ")
-THIRD_PARTY_EXECUTABLE(xmllint xmltools "BRLCAD_EXTRADOCS_VALIDATE;BRLCAD_LEVEL3" xmllint_ALIASES xmllint_DESCRIPTION)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/xmltools/include)
+third_party_executable(xmllint xmltools "BRLCAD_EXTRADOCS_VALIDATE;BRLCAD_LEVEL3" xmllint_ALIASES xmllint_DESCRIPTION)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/xmltools/include)
 
 #---------------------------------------------------------------------------------
 # Third Party Sources
 #---------------------------------------------------------------------------------
 # Ignore the boost subdir - it's only used for the boost headers and is not
 # compiled
-CMAKEFILES(boost)
+cmakefiles(boost)
 
 # The incrtTcl subdirectory isn't directly referenced, but its subdirectories
 # are used - mark incrTcl as ignored
-CMAKEFILES(incrTcl)
+cmakefiles(incrTcl)
 
 # Ignore the osl subdir
-CMAKEFILES(osl)
+cmakefiles(osl)
 
 # libtermlib Library
 #Only on WIN32 will the combination of the build search tests and
 #libtermlib fail to find a valid term, so set variables accordingly
 if(NOT WIN32)
   set(HAVE_TERMLIB ON CACHE BOOL "Have some termlib" FORCE)
-ELSE(NOT WIN32)
+else(NOT WIN32)
   set(BRLCAD_TERMLIB_BUILD "System" CACHE STRING "Disable libtermlib build on WIN32." FORCE)
   mark_as_advanced(BRLCAD_TERMLIB_BUILD)
   set(HAVE_TERMLIB OFF CACHE BOOL "Have some termlib" FORCE)
@@ -248,7 +248,7 @@
 BRLCAD_BUNDLED_LIBS is also AUTO. (Except when building with Visual Studio,
 where it is disabled. Windows does not support the termlib API.)
 ")
-THIRD_PARTY(termlib libtermlib "HAVE_TERMLIB;BRLCAD_LEVEL2" termlib_ALIASES termlib_DESCRIPTION)
+third_party(termlib libtermlib "HAVE_TERMLIB;BRLCAD_LEVEL2" termlib_ALIASES termlib_DESCRIPTION)
 if(BRLCAD_TERMLIB_BUILD)
   set(HAVE_TERMCAP_H ON CACHE BOOL "src/other termlib is on" FORCE)
   mark_as_advanced(HAVE_TERMCAP_H)
@@ -276,26 +276,26 @@
 AUTO, responsive to the toplevel BRLCAD_BUNDLED_LIBS option and testing
 first for a system version if BRLCAD_BUNDLED_LIBS is also AUTO.
 ")
-THIRD_PARTY(png libpng "BRLCAD_LEVEL2" png_ALIASES png_DESCRIPTION)
+third_party(png libpng "BRLCAD_LEVEL2" png_ALIASES png_DESCRIPTION)
 if(BRLCAD_PNG_BUILD)
   # PNG_LIB_NAME doesn't automatically propagate to toplevel due to scoping of CMake variables -
   # use get_directory_property to recover the value and place it in the CACHE
   get_directory_property(PNG_LIBRARY DIRECTORY libpng DEFINITION PNG_LIB_NAME)
   set(PNG_LIBRARY "${PNG_LIBRARY}" CACHE STRING "libpng name for targets" FORCE)
-ELSE(BRLCAD_PNG_BUILD)
+else(BRLCAD_PNG_BUILD)
   # The PNG CMake file seems to set PNG_PNG_INCLUDE_DIR rather than PNG_INCLUDE_DIR, so
   # a generic macro won't pick up the setting - handle it here
   set(PNG_INCLUDE_DIR ${PNG_PNG_INCLUDE_DIR} CACHE STRING "PNG include directory" FORCE)
 endif(BRLCAD_PNG_BUILD)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/libpng/CTestTestfile.cmake)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/libpng/libpng.pc)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/libpng/libpng-config)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/libpng/libpng${CMAKE_SHARED_LIBRARY_SUFFIX})
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/libpng/libpng${CMAKE_STATIC_LIBRARY_SUFFIX})
-DISTCLEAN(${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng.pc)
-DISTCLEAN(${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng-config)
-DISTCLEAN(${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng${CMAKE_SHARED_LIBRARY_SUFFIX})
-DISTCLEAN(${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng${CMAKE_STATIC_LIBRARY_SUFFIX})
+distclean(${CMAKE_CURRENT_BINARY_DIR}/libpng/CTestTestfile.cmake)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/libpng/libpng.pc)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/libpng/libpng-config)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/libpng/libpng${CMAKE_SHARED_LIBRARY_SUFFIX})
+distclean(${CMAKE_CURRENT_BINARY_DIR}/libpng/libpng${CMAKE_STATIC_LIBRARY_SUFFIX})
+distclean(${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng.pc)
+distclean(${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng-config)
+distclean(${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng${CMAKE_SHARED_LIBRARY_SUFFIX})
+distclean(${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libpng${CMAKE_STATIC_LIBRARY_SUFFIX})
 # Other PNG options to mark as advanced
 mark_as_advanced(PNGARG)
 mark_as_advanced(PNG_DEBUG)
@@ -315,7 +315,7 @@
 to the toplevel BRLCAD_BUNDLED_LIBS option and testing first for a system
 version if BRLCAD_BUNDLED_LIBS is also AUTO.
 ")
-THIRD_PARTY(utahrle libutahrle "BRLCAD_LEVEL3" utahrle_ALIASES utahrle_DESCRIPTION NOSYS)
+third_party(utahrle libutahrle "BRLCAD_LEVEL3" utahrle_ALIASES utahrle_DESCRIPTION NOSYS)
 if(BRLCAD_UTAHRLE_BUILD)
   set(UTAHRLE_INCLUDE_DIR "${BRLCAD_SOURCE_DIR}/src/other/libutahrle/include" CACHE STRING "directory with rle.h header" FORCE)
   set(BRLCAD_UTAHRLE_INCLUDE_DIR "${UTAHRLE_INCLUDE_DIR}" CACHE STRING "directory with rle.h header" FORCE)
@@ -331,7 +331,7 @@
   add_subdirectory(URToolkit)
 endif(BRLCAD_LEVEL3)
 include(${CMAKE_CURRENT_SOURCE_DIR}/URToolkit.dist)
-CMAKEFILES_IN_DIR(URToolkit_ignore_files URToolkit)
+cmakefiles_in_dir(URToolkit_ignore_files URToolkit)
 
 # Tcl/Tk presents a number of complexities for BRL-CAD and CMake.  BRL-CAD requires
 # far more knowledge of the details of a Tcl/Tk installation than most programs,
@@ -347,7 +347,7 @@
 
 if(BRLCAD_ENABLE_TK)
   set(TCL_REQUIRE_TK 1)
-ELSE(BRLCAD_ENABLE_TK)
+else(BRLCAD_ENABLE_TK)
   set(TCL_REQUIRE_TK 0)
 endif(BRLCAD_ENABLE_TK)
 
@@ -359,7 +359,7 @@
 a system version if BRLCAD_BUNDLED_LIBS is also AUTO.
 ")
 
-THIRD_PARTY(tcl tcl "" tcl_ALIASES tcl_DESCRIPTION)
+third_party(tcl tcl "" tcl_ALIASES tcl_DESCRIPTION)
 if(BRLCAD_TCL_BUILD)
   # Set the variables ourselves since FindTCL.cmake doesn't know about our build
   set(TCL_SRC_PREFIX ${CMAKE_CURRENT_SOURCE_DIR}/tcl)
@@ -378,20 +378,20 @@
   set(TCL_VERSION_MAJOR "${TCL_VERSION_MAJOR}" CACHE STRING "Tcl MAJOR version" FORCE)
   get_directory_property(TCL_VERSION_MINOR DIRECTORY tcl DEFINITION TCL_VERSION_MINOR)
   set(TCL_VERSION_MINOR "${TCL_VERSION_MINOR}" CACHE STRING "Tcl MINOR version" FORCE)
-  CONFIG_H_APPEND(BRLCAD "#define HAVE_TCL_H 1\n")
-  CONFIG_H_APPEND(BRLCAD "#define TCL_SYSTEM_INITTCL_PATH \"\"\n")
+  config_h_append(BRLCAD "#define HAVE_TCL_H 1\n")
+  config_h_append(BRLCAD "#define TCL_SYSTEM_INITTCL_PATH \"\"\n")
   include(${CMAKE_CURRENT_SOURCE_DIR}/tcl.dist)
-  CMAKEFILES_IN_DIR(tcl_ignore_files tcl)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tcl/doc/Makefile)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tcl/doc/man1)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tcl/doc/man3)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tcl/doc/mann)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tcl/library/Makefile)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/lib/tcl8)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/lib/tcl8.5)
-ELSE(BRLCAD_TCL_BUILD)
+  cmakefiles_in_dir(tcl_ignore_files tcl)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tcl/doc/Makefile)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tcl/doc/man1)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tcl/doc/man3)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tcl/doc/mann)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tcl/library/Makefile)
+  distclean(${CMAKE_BINARY_DIR}/lib/tcl8)
+  distclean(${CMAKE_BINARY_DIR}/lib/tcl8.5)
+else(BRLCAD_TCL_BUILD)
   if(${TCL_TCLSH_EXECUTABLE})
-    BRLCAD_INCLUDE_FILE(tcl.h HAVE_TCL_H)
+    brlcad_include_file(tcl.h HAVE_TCL_H)
     # We're going to need the path to the system init.tcl for btclsh and bwish
     set(inittcl_script "
 set filename \"${CMAKE_BINARY_DIR}/CMakeTmp/tcl_inittcl\"
@@ -402,13 +402,13 @@
 ")
     set(inittcl_scriptfile "${CMAKE_BINARY_DIR}/CMakeTmp/tcl_inittcl.tcl")
     file(WRITE ${inittcl_scriptfile} ${inittcl_script})
-    EXEC_PROGRAM(${TCL_TCLSH_EXECUTABLE} ARGS ${inittcl_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+    exec_program(${TCL_TCLSH_EXECUTABLE} ARGS ${inittcl_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
     file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/tcl_inittcl tcl_inittcl_raw)
-    STRING(REGEX REPLACE "\n" "" tcl_inittcl_paths_1 ${tcl_inittcl_raw})
-    STRING(REGEX REPLACE " " ";" tcl_inittcl_paths ${tcl_inittcl_paths_1})
-    FIND_PATH(tcl_inittcl NAMES init.tcl PATHS ${tcl_inittcl_paths})
+    string(REGEX REPLACE "\n" "" tcl_inittcl_paths_1 ${tcl_inittcl_raw})
+    string(REGEX REPLACE " " ";" tcl_inittcl_paths ${tcl_inittcl_paths_1})
+    find_path(tcl_inittcl NAMES init.tcl PATHS ${tcl_inittcl_paths})
     mark_as_advanced(tcl_inittcl)
-    CONFIG_H_APPEND(BRLCAD "#define TCL_SYSTEM_INITTCL_PATH \"${tcl_inittcl}\"\n")
+    config_h_append(BRLCAD "#define TCL_SYSTEM_INITTCL_PATH \"${tcl_inittcl}\"\n")
   endif(${TCL_TCLSH_EXECUTABLE})
 endif(BRLCAD_TCL_BUILD)
 mark_as_advanced(TCL_COMPILE_DEBUG)
@@ -442,7 +442,7 @@
 set to BUNDLED, local copy is built even if a system version is present.
 This option also depends on BRLCAD_ENABLE_TK being ON.
 ")
-THIRD_PARTY_TCL_PACKAGE(Tk tk "${TCL_TCLSH_EXECUTABLE}" "tcl" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL2" "tk" tk_ALIASES tk_DESCRIPTION)
+third_party_tcl_package(Tk tk "${TCL_TCLSH_EXECUTABLE}" "tcl" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL2" "tk" tk_ALIASES tk_DESCRIPTION)
 if(BRLCAD_TK_BUILD)
   # Set the variables ourselves since FindTCL.cmake doesn't know about our build
   set(TCL_TK_LIBRARY tk CACHE STRING "TCL_TK_LIBRARY" FORCE)
@@ -461,28 +461,28 @@
   set(TK_WISH wish CACHE STRING "Tk shell" FORCE)
   if(WIN32)
     set(TK_SYSTEM_GRAPHICS "win32" CACHE STRING "Tk system graphics" FORCE)
-  ELSEif(APPLE)
+  elseif(APPLE)
     if(OPENGL_USE_AQUA)
       set(TK_SYSTEM_GRAPHICS "aqua" CACHE STRING "Tk system graphics" FORCE)
-    ELSE(OPENGL_USE_AQUA)
+    else(OPENGL_USE_AQUA)
       set(TK_SYSTEM_GRAPHICS "x11" CACHE STRING "Tk system graphics" FORCE)
     endif(OPENGL_USE_AQUA)
-  ELSEif(UNIX)
+  elseif(UNIX)
     set(TK_SYSTEM_GRAPHICS "x11" CACHE STRING "Tk system graphics" FORCE)
   endif(WIN32)
-  CONFIG_H_APPEND(BRLCAD "#define HAVE_TK_H 1\n")
+  config_h_append(BRLCAD "#define HAVE_TK_H 1\n")
   mark_as_advanced(TK-ENABLE_FREETYPE)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tk/doc/Makefile)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tk/doc/man1)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tk/doc/man3)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tk/doc/mann)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tk/library/Makefile)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tk/pkgIndex.tcl)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/lib/tk8.5)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/lib/tk8.5.9)
-ELSE(BRLCAD_TK_BUILD)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tk/doc/Makefile)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tk/doc/man1)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tk/doc/man3)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tk/doc/mann)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tk/library/Makefile)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/tk/pkgIndex.tcl)
+  distclean(${CMAKE_BINARY_DIR}/lib/tk8.5)
+  distclean(${CMAKE_BINARY_DIR}/lib/tk8.5.9)
+else(BRLCAD_TK_BUILD)
   if(BRLCAD_ENABLE_TK)
-    BRLCAD_INCLUDE_FILE(tk.h HAVE_TK_H)
+    brlcad_include_file(tk.h HAVE_TK_H)
   endif(BRLCAD_ENABLE_TK)
 endif(BRLCAD_TK_BUILD)
 mark_as_advanced(TK_INCLUDE_PATH)
@@ -495,8 +495,8 @@
 # Now that Tcl/Tk is settled, define the HAVE_TK flag for the config.h file
 if(BRLCAD_ENABLE_TK)
   set(HAVE_TK 1 CACHE STRING "C level Tk flag" FORCE)
-  CONFIG_H_APPEND(BRLCAD "#cmakedefine HAVE_TK\n")
-ELSE(BRLCAD_ENABLE_TK)
+  config_h_append(BRLCAD "#cmakedefine HAVE_TK\n")
+else(BRLCAD_ENABLE_TK)
   set(HAVE_TK 0 CACHE STRING "C level Tk flag" FORCE)
 endif(BRLCAD_ENABLE_TK)
 mark_as_advanced(HAVE_TK)
@@ -512,21 +512,21 @@
 if(WIN32)
   set(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/tcl/generic ${CMAKE_CURRENT_SOURCE_DIR}/tcl/win ${CMAKE_CURRENT_SOURCE_DIR}/tcl/libtommath)
   set(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/tk/generic ${CMAKE_CURRENT_SOURCE_DIR}/tk/xlib ${CMAKE_CURRENT_SOURCE_DIR}/tk/win ${CMAKE_CURRENT_SOURCE_DIR}/tk/bitmaps)
-ELSE(WIN32)
+else(WIN32)
   set(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/tcl/generic ${CMAKE_CURRENT_SOURCE_DIR}/tcl/unix ${CMAKE_CURRENT_SOURCE_DIR}/tcl/libtommath)
   set(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/tk/generic ${CMAKE_CURRENT_SOURCE_DIR}/tk/bitmaps)
 endif(WIN32)
 set(ITCL_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/incrTcl/itcl/generic)
 if(BRLCAD_TCL_BUILD)
   set(TCL_BIN_PREFIX ${CMAKE_BINARY_DIR}/${LIB_DIR})
-ELSE(BRLCAD_TCL_BUILD)
+else(BRLCAD_TCL_BUILD)
   get_filename_component(TCL_BIN_PREFIX ${TCL_LIBRARY} PATH)
 endif(BRLCAD_TCL_BUILD)
 if(BRLCAD_ENABLE_TK)
   if(BRLCAD_TK_BUILD)
     set(TK_BIN_PREFIX ${CMAKE_BINARY_DIR}/${LIB_DIR})
     get_directory_property(TK_X11_INCLUDE_DIRS DIRECTORY tk DEFINITION TK_X11_INCLUDE_DIRS)
-  ELSE(BRLCAD_TK_BUILD)
+  else(BRLCAD_TK_BUILD)
     if(TCL_TK_LIBRARY)
       get_filename_component(TK_BIN_PREFIX ${TCL_TK_LIBRARY} PATH)
     endif(TCL_TK_LIBRARY)
@@ -558,7 +558,7 @@
 a system version if BRLCAD_TCL is set to AUTO or SYSTEM.  If BRLCAD_ITCL is
 set to BUNDLED, local copy is built even if a system version is present.
 ")
-THIRD_PARTY_TCL_PACKAGE(Itcl incrTcl/itcl "${TCL_TCLSH_EXECUTABLE}" "tcl" "BRLCAD_LEVEL2" "itcl" itcl_ALIASES itcl_DESCRIPTION)
+third_party_tcl_package(Itcl incrTcl/itcl "${TCL_TCLSH_EXECUTABLE}" "tcl" "BRLCAD_LEVEL2" "itcl" itcl_ALIASES itcl_DESCRIPTION)
 if(BRLCAD_ITCL_BUILD)
   set(ITCL_LIBRARY itcl CACHE STRING "ITCL_LIBRARY" FORCE)
   set(ITCL_STUB_LIBRARY itclstub CACHE STRING "ITCL_STUB_LIBRARY" FORCE)
@@ -566,9 +566,9 @@
   set(ITCL_INCLUDE_DIRS "${ITCL_INCLUDE_DIRS}" CACHE STRING "Itcl include paths" FORCE)
   set(ITCL_VERSION "3.4" CACHE STRING "ITCL_VERSION" FORCE)
   set(ITCL_BIN_PREFIX ${CMAKE_BINARY_DIR}/${LIB_DIR})
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/incrTcl/itcl/pkgIndex.tcl)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/lib/itcl3.4)
-ELSE(BRLCAD_ITCL_BUILD)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/incrTcl/itcl/pkgIndex.tcl)
+  distclean(${CMAKE_BINARY_DIR}/lib/itcl3.4)
+else(BRLCAD_ITCL_BUILD)
   # We have Itcl package AND Itcl library - we're good.
   set(ITCL_VERSION "${ITCL_PACKAGE_VERSION}" CACHE STRING "ITCL_VERSION" FORCE)
   set(ITCL_LIBRARY ${ITCL_LIBRARY} CACHE STRING "ITCL_LIBRARY" FORCE)
@@ -576,7 +576,7 @@
     get_filename_component(ITCL_BIN_PREFIX ${ITCL_LIBRARY} PATH)
   endif(ITCL_LIBRARY)
 endif(BRLCAD_ITCL_BUILD)
-CONFIG_H_APPEND(BRLCAD "#cmakedefine ITCL_VERSION	\"${ITCL_VERSION}\"\n")
+config_h_append(BRLCAD "#cmakedefine ITCL_VERSION	\"${ITCL_VERSION}\"\n")
 mark_as_advanced(ITCL_LIBRARY)
 mark_as_advanced(ITCL_STUB_LIBRARY)
 mark_as_advanced(ITCL_INCLUDE_DIRS)
@@ -592,14 +592,14 @@
 set to BUNDLED, local copy is built even if a system version is present.  This
 package will be disabled if BRLCAD_ENABLE_TK is OFF.
 ")
-THIRD_PARTY_TCL_PACKAGE(Itk incrTcl/itk "${TCL_WISH_EXECUTABLE}" "tcl;itcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "itk" itk_ALIASES itk_DESCRIPTION)
+third_party_tcl_package(Itk incrTcl/itk "${TCL_WISH_EXECUTABLE}" "tcl;itcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "itk" itk_ALIASES itk_DESCRIPTION)
 if(BRLCAD_ITK_BUILD)
   # does not handle C library settings.
   set(ITK_LIBRARY itk CACHE STRING "ITK_LIBRARY" FORCE)
   set(ITK_VERSION "3.3" CACHE STRING "ITK_VERSION" FORCE)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/incrTcl/itk/pkgIndex.tcl)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/lib/itk3.4)
-ELSE(BRLCAD_ITK_BUILD)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/incrTcl/itk/pkgIndex.tcl)
+  distclean(${CMAKE_BINARY_DIR}/lib/itk3.4)
+else(BRLCAD_ITK_BUILD)
   # We have Itcl/Itk packages AND Itcl/Itk libraries - we're good.
   set(ITK_VERSION "${ITCL_VERSION}" CACHE STRING "ITK_VERSION" FORCE)
   set(ITK_LIBRARY ${ITK_LIBRARY} CACHE STRING "ITK_LIBRARY" FORCE)
@@ -622,15 +622,15 @@
 package will be disabled if either BRLCAD_ENABLE_OPENGL or BRLCAD_ENABLE_TK
 are OFF.
 ")
-THIRD_PARTY_TCL_PACKAGE(Togl togl "${TCL_WISH_EXECUTABLE}" "tcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_ENABLE_OPENGL;BRLCAD_ENABLE_X11;BRLCAD_LEVEL3" "togl" togl_ALIASES togl_DESCRIPTION)
+third_party_tcl_package(Togl togl "${TCL_WISH_EXECUTABLE}" "tcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_ENABLE_OPENGL;BRLCAD_ENABLE_X11;BRLCAD_LEVEL3" "togl" togl_ALIASES togl_DESCRIPTION)
 if(BRLCAD_TOGL_BUILD)
   set(TOGL_LIBRARIES togl CACHE STRING "TOGL_LIBRARIES" FORCE)
   set(TOGL_STUB_LIBRARIES toglstub CACHE STRING "TOGL_STUB_LIBRARIES" FORCE)
   set(TOGL_INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/togl/include;${CMAKE_CURRENT_SOURCE_DIR}/togl/include" CACHE STRING "Togl include path" FORCE)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/togl/pkgIndex.tcl
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/togl/pkgIndex.tcl
     ${CMAKE_CURRENT_BINARY_DIR}/togl/src/pkgIndex.tcl)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/lib/Togl2.1)
-ELSE(BRLCAD_TOGL_BUILD)
+  distclean(${CMAKE_BINARY_DIR}/lib/Togl2.1)
+else(BRLCAD_TOGL_BUILD)
   # No Togl enabled - fix this so a system one has a chance...
   #set(TOGL_LIBRARIES "" CACHE STRING "Tcl/Tk OpenGL disabled" FORCE)
   #set(TOGL_STUB_LIBRARIES "" CACHE STRING "Tcl/Tk OpenGL disabled" FORCE)
@@ -651,15 +651,15 @@
 is set to BUNDLED, local copy is built even if a system version is present.
 This package will be disabled if BRLCAD_ENABLE_TK is OFF.
 ")
-THIRD_PARTY_TCL_PACKAGE(Iwidgets iwidgets "${TCL_WISH_EXECUTABLE}" "tcl;tk;itcl;itk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "" iwidgets_ALIASES iwidgets_DESCRIPTION)
+third_party_tcl_package(Iwidgets iwidgets "${TCL_WISH_EXECUTABLE}" "tcl;tk;itcl;itk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "" iwidgets_ALIASES iwidgets_DESCRIPTION)
 if(BRLCAD_IWIDGETS_BUILD)
   set(IWIDGETS_VERSION "4.0.1" CACHE STRING "IWIDGETS_VERSION" FORCE)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/iwidgets/pkgIndex.tcl)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/lib/Iwidgets4.0.1)
-ELSE(BRLCAD_IWIDGETS_BUILD)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/iwidgets/pkgIndex.tcl)
+  distclean(${CMAKE_BINARY_DIR}/lib/Iwidgets4.0.1)
+else(BRLCAD_IWIDGETS_BUILD)
   set(IWIDGETS_VERSION "${IWIDGETS_PACKAGE_VERSION}" CACHE STRING "IWIDGETS_VERSION" FORCE)
 endif(BRLCAD_IWIDGETS_BUILD)
-CONFIG_H_APPEND(BRLCAD "#define IWIDGETS_VERSION \"${IWIDGETS_VERSION}\"\n")
+config_h_append(BRLCAD "#define IWIDGETS_VERSION \"${IWIDGETS_VERSION}\"\n")
 mark_as_advanced(IWIDGETS_VERSION)
 
 set(tkhtml_ALIASES ENABLE_TKHTML)
@@ -671,17 +671,17 @@
 is set to BUNDLED, local copy is built even if a system version is present.
 This package will be disabled if BRLCAD_ENABLE_TK is OFF.
 ")
-THIRD_PARTY_TCL_PACKAGE(Tkhtml tkhtml "${TCL_WISH_EXECUTABLE}" "tcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "" tkhtml_ALIASES tkhtml_DESCRIPTION)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tkhtml/pkgIndex.tcl)
-DISTCLEAN(${CMAKE_BINARY_DIR}/lib/Tkhtml3.0)
+third_party_tcl_package(Tkhtml tkhtml "${TCL_WISH_EXECUTABLE}" "tcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "" tkhtml_ALIASES tkhtml_DESCRIPTION)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/tkhtml/pkgIndex.tcl)
+distclean(${CMAKE_BINARY_DIR}/lib/Tkhtml3.0)
 #add_subdirectory(hv3)
 #include(${CMAKE_CURRENT_SOURCE_DIR}/hv3.dist)
 #CMAKEFILES_IN_DIR(hv3_ignore_files hv3)
 #add_subdirectory(sqlite3)
 #include(${CMAKE_CURRENT_SOURCE_DIR}/sqlite3.dist)
 #CMAKEFILES_IN_DIR(sqlite3_ignore_files sqlite3)
-CMAKEFILES(hv3)
-CMAKEFILES(sqlite3)
+cmakefiles(hv3)
+cmakefiles(sqlite3)
 
 set(tkpng_ALIASES ENABLE_TKPNG)
 set(tkpng_DESCRIPTION "
@@ -692,9 +692,9 @@
 is set to BUNDLED, local copy is built even if a system version is present.
 This package will be disabled if BRLCAD_ENABLE_TK is OFF.
 ")
-THIRD_PARTY_TCL_PACKAGE(tkpng tkpng "${TCL_WISH_EXECUTABLE}" "tcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "" tkpng_ALIASES tkpng_DESCRIPTION)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tkpng/pkgIndex.tcl)
-DISTCLEAN(${CMAKE_BINARY_DIR}/lib/tkpng0.8)
+third_party_tcl_package(tkpng tkpng "${TCL_WISH_EXECUTABLE}" "tcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "" tkpng_ALIASES tkpng_DESCRIPTION)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/tkpng/pkgIndex.tcl)
+distclean(${CMAKE_BINARY_DIR}/lib/tkpng0.8)
 
 set(tktable_ALIASES ENABLE_TKTABLE)
 set(tktable_DESCRIPTION "
@@ -705,10 +705,10 @@
 is set to BUNDLED, local copy is built even if a system version is present.
 This package will be disabled if BRLCAD_ENABLE_TK is OFF.
 ")
-THIRD_PARTY_TCL_PACKAGE(Tktable tktable "${TCL_WISH_EXECUTABLE}" "tcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "" tktable_ALIASES tktable_DESCRIPTION)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tktable/pkgIndex.tcl)
-DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/tktable/tktable_cfg.h)
-DISTCLEAN(${CMAKE_BINARY_DIR}/lib/Tktable2.10)
+third_party_tcl_package(Tktable tktable "${TCL_WISH_EXECUTABLE}" "tcl;tk" "BRLCAD_ENABLE_TK;BRLCAD_LEVEL3" "" tktable_ALIASES tktable_DESCRIPTION)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/tktable/pkgIndex.tcl)
+distclean(${CMAKE_CURRENT_BINARY_DIR}/tktable/tktable_cfg.h)
+distclean(${CMAKE_BINARY_DIR}/lib/Tktable2.10)
 
 # OpenNURBS Library
 set(opennurbs_ALIASES ENABLE_OPENNURBS)
@@ -718,7 +718,7 @@
 AUTO, responsive to the toplevel BRLCAD_BUNDLED_LIBS option and
 testing first for a system version if BRLCAD_BUNDLED_LIBS is also AUTO.
 ")
-THIRD_PARTY(openNURBS openNURBS "" opennurbs_ALIASES opennurbs_DESCRIPTION NOSYS)
+third_party(openNURBS openNURBS "" opennurbs_ALIASES opennurbs_DESCRIPTION NOSYS)
 
 if(NOT MSVC)
   set(NOT_MSVC 1)
@@ -740,14 +740,14 @@
 AUTO, responsive to the toplevel BRLCAD_BUNDLED_LIBS option and testing
 first for a system version if BRLCAD_BUNDLED_LIBS is also AUTO.
 ")
-THIRD_PARTY(scl step "LEMON_EXECUTABLE;PERPLEX_EXECUTABLE;BRLCAD_LEVEL3"  scl_ALIASES scl_DESCRIPTION NOSYS)
+third_party(scl step "LEMON_EXECUTABLE;PERPLEX_EXECUTABLE;BRLCAD_LEVEL3"  scl_ALIASES scl_DESCRIPTION NOSYS)
 if(BRLCAD_SCL_BUILD)
   set(FEDEX_PLUS_EXEC fedex_plus CACHE STRING "Fedex plus executable" FORCE)
   set(FEDEX_PLUS_EXECUTABLE_TARGET fedex_plus CACHE STRING "Fedex plus executable target" FORCE)
   mark_as_advanced(FEDEX_PLUS_EXEC)
   mark_as_advanced(FEDEX_PLUS_EXECUTABLE_TARGET)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/step/include/scl_cf.h.in)
-  DISTCLEAN(${CMAKE_CURRENT_BINARY_DIR}/step/scl_version_string.h.txt)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/step/include/scl_cf.h.in)
+  distclean(${CMAKE_CURRENT_BINARY_DIR}/step/scl_version_string.h.txt)
 endif(BRLCAD_SCL_BUILD)
 mark_as_advanced(SCL_BUILD_TYPE)
 mark_as_advanced(SCL_GENERATE_LEXER_PARSER)
@@ -763,14 +763,14 @@
 if(BRLCAD_LEVEL2)
   add_subdirectory(clipper)
   include(${CMAKE_CURRENT_SOURCE_DIR}/clipper.dist)
-  CMAKEFILES_IN_DIR(clipper_ignore_files clipper)
-  DISTCLEAN(${CMAKE_CURRENT_SOURCE_DIR}/clipper/Makefile)
+  cmakefiles_in_dir(clipper_ignore_files clipper)
+  distclean(${CMAKE_CURRENT_SOURCE_DIR}/clipper/Makefile)
   set(CLIPPER_LIBRARY "clipper" CACHE STRING "Clipper library" FORCE)
   set(CLIPPER_INCLUDE_DIR "${BRLCAD_SOURCE_DIR}/src/other/clipper" CACHE STRING "Directory containing clipper header" FORCE)
   mark_as_advanced(CLIPPER_LIBRARY)
   mark_as_advanced(CLIPPER_INCLUDE_DIR)
 else(BRLCAD_LEVEL2)
-  CMAKEFILES(clipper)
+  cmakefiles(clipper)
 endif(BRLCAD_LEVEL2)
 
 
@@ -783,7 +783,7 @@
 if(BRLCAD_LEVEL2)
   find_package(Bullet)
   if(BULLET_FOUND)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_BULLET 1\n")
+    config_h_append(BRLCAD "#define HAVE_BULLET 1\n")
   endif(BULLET_FOUND)
   # Let the rest of the package know the results
   set(BULLET_LIBRARIES "${BULLET_LIBRARIES}" CACHE STRING "Bullet libs" FORCE) 
@@ -800,7 +800,7 @@
 if(BRLCAD_LEVEL2)
   find_package(ADAPTAGRAMS)
   if(ADAPTAGRAMS_FOUND)
-    CONFIG_H_APPEND(BRLCAD "#define HAVE_ADAPTAGRAMS 1\n")
+    config_h_append(BRLCAD "#define HAVE_ADAPTAGRAMS 1\n")
   endif(ADAPTAGRAMS_FOUND)
   set(ADAPTAGRAMS_LIBRARIES "${ADAPTAGRAMS_LIBRARIES}" CACHE STRING "Adaptagrams libs" FORCE) 
   set(ADAPTAGRAMS_FOUND "${ADAPTAGRAMS_FOUND}" CACHE BOOL "Adaptagrams status" FORCE) 
@@ -811,7 +811,7 @@
 # to build (I think?)
 add_subdirectory(tnt)
 set(TNT_INCLUDE_DIR "${BRLCAD_SOURCE_DIR}/src/other/tnt" CACHE STRING "Directory containing tnt headers" FORCE)
-CMAKEFILES(tnt)
+cmakefiles(tnt)
 mark_as_advanced(TNT_INCLUDE_DIR)
 
 # Eigen is used for advanced linear algebra functionality
@@ -820,7 +820,7 @@
 #
 # TODO - replace jama/tnt with Eigen
 #
-CMAKEFILES(Eigen)
+cmakefiles(Eigen)
 
 # jove editor - technically this isn't a library,
 # but traditionally it's grouped into the "enable-all"
@@ -832,21 +832,21 @@
   if(NOT WIN32)
     add_subdirectory(jove)
     include(${CMAKE_CURRENT_SOURCE_DIR}/jove.dist)
-    CMAKEFILES_IN_DIR(jove_ignore_files jove)
-  ELSE(NOT WIN32)
-    MESSAGE("jove was requested, but does not build on Windows - disabling")
+    cmakefiles_in_dir(jove_ignore_files jove)
+  else(NOT WIN32)
+    message("jove was requested, but does not build on Windows - disabling")
     set(BRLCAD_ENABLE_JOVE OFF CACHE BOOL "jove disabled on WIN32" FORCE)
-    CMAKEFILES(jove)
+    cmakefiles(jove)
   endif(NOT WIN32)
-ELSE(BRLCAD_ENABLE_JOVE)
-  CMAKEFILES(jove)
+else(BRLCAD_ENABLE_JOVE)
+  cmakefiles(jove)
 endif(BRLCAD_ENABLE_JOVE)
 
 if(BRLCAD_ENABLE_OSL)
   add_subdirectory(osl)
 endif(BRLCAD_ENABLE_OSL)
 
-CMAKEFILES(Makefile.am)
+cmakefiles(Makefile.am)
 
 # Local Variables:
 # tab-width: 8
